'!TITLE "Get double reply from camera L"
#INCLUDE "dio_tab.h"
#INCLUDE "VAR_TAB.h"

PROGRAM Get_double_reply_L

DEFSTR positions = ""
DEFSTR positions2 = ""
DEFSTR Text = ""
DEFINT semicolonPos = 0
DEFINT semicolonPos2 = 0
DEFINT dotPos = 0
DEFINT STATUSID
DEFINT STATUSID2

s[200]="Calib1"
s[201]="Calib2"
s[202]="Calib3"
s[203]="Calib4"
s[204]="CalibZ"
s[205]="NoPart"
s[206]="1"

*CONNECT:

'Reading from port #9

com_state #9,comstates9%
IF comstates9% = -1 THEN
	com_encom #9
  	FLUSH #9
ELSE
    FLUSH #9
ENDIF

LINEINPUT # 9 ,  positions  , WTIME= 3000 ,RVAL=STATUSID
LINEINPUT # 9 ,  positions2  , WTIME= 500,RVAL=STATUSID2 

IF STATUSID=0 THEN											'If 0 timeout
	PRINTDBG "Timeout svar"
	GOTO *CONNECT
ELSE
	PRINTDBG "Position",positions
ENDIF

IF STATUSID2=0 THEN											'If 0 timeout

ELSE
	PRINTDBG "Position2",positions2
	
ENDIF

S[220]=positions

S[221]=positions2
' The String format is <Text><number>;<C1>.000___(Calib1;C090.000)
															
Text = LEFT$(positions, 6 )																	
IF 	Text=s[206] THEN														'Camera responds1	
	PRINTDBG "1",positions
	I[Calibcode_L_225] = 6
Endif

semicolonPos2 = StrPos(positions2, ";")

	I[Calangel_L_222] = 0
    Text = LEFT$(positions2, 6 )
 	IF 	Text=s[200] THEN															'Calib 0
		PRINTDBG "Use Calib 0",positions2
	    I[Calposition_L_221] = 0    'Val(RIGHT$(positions, 1 ))
	    positions2 = Right$(positions2, Len(positions2) - semicolonPos2)			'Remove the found token from the string	
	    I[Calangel_L_222] = Val(MID$(positions2, 2, 3 ))
 	ELSEIF 	Text=s[201] THEN														'Calib 1	
		PRINTDBG "Use Calib 1",positions2
	    I[Calposition_L_221] = 1    'Val(RIGHT$(positions, 1 ))
	    positions2 = Right$(positions2, Len(positions2) - semicolonPos2)			'Remove the found token from the string	
	    I[Calangel_L_222] = Val(MID$(positions2, 2, 3 ))
	ELSEIF 	Text=s[202] THEN														'Calib 2
		PRINTDBG "Use Calib 2",positions2
	    I[Calposition_L_221] = 2    'Val(RIGHT$(positions, 1 ))
	    positions2 = Right$(positions2, Len(positions2) - semicolonPos2)			'Remove the found token from the string	
	    I[Calangel_L_222] = Val(MID$(positions2, 2, 3 ))
	ELSEIF 	Text=s[203] THEN														'Calib 3
		PRINTDBG "UseCalib 3",positions2
	    I[Calposition_L_221] = 3    'Val(RIGHT$(positions, 1 ))
	    positions2 = Right$(positions2, Len(positions2) - semicolonPos2)			'Remove the found token from the string	
	    I[Calangel_L_222] = Val(MID$(positions2, 2, 3 ))
	ELSEIF 	Text=s[204] THEN														'CalibZur
		PRINTDBG "CalibZur",positions2
	    I[Calposition_L_221] = 4
	ELSEIF 	Text=s[205] THEN														'NoPart	
		PRINTDBG "NoPart",positions2
	    I[Calposition_L_221] = 5	
	ENDIF

I[Code.ready_L_223]=1

END
