'!TITLE "Get double reply from camera R"
#INCLUDE "dio_tab.h"
#INCLUDE "VAR_TAB.h"

PROGRAM Get_double_reply_R

DEFSTR positions = ""
DEFSTR positions2 = ""
DEFSTR Text = ""
DEFINT semicolonPos = 0
DEFINT semicolonPos2 = 0
DEFINT dotPos = 0
DEFINT STATUSID
DEFINT STATUSID2

s[100]="Calib1"
s[101]="Calib2"
s[102]="Calib3"
s[103]="Calib4"
s[104]="CalibZ"
s[105]="NoPart"
s[106]="1"

*CONNECT:

'Reading from port #8

com_state #8,comstates8%
IF comstates8% = -1 THEN
	com_encom #8
  	FLUSH #8
ELSE
    FLUSH #8
ENDIF

LINEINPUT # 8 ,  positions  , WTIME= 3000 ,RVAL=STATUSID
LINEINPUT # 8 ,  positions2  , WTIME= 500,RVAL=STATUSID2 

IF STATUSID=0 THEN											'If 0 timeout
	PRINTDBG "Timeout svar"
	GOTO *CONNECT
ELSE
	PRINTDBG "Position",positions
ENDIF

IF STATUSID2=0 THEN											'If 0 timeout

ELSE
	PRINTDBG "Position2",positions2
	
ENDIF

S[120]=positions

S[121]=positions2
' The String format is <Text><number>;<C1>.000___(Calib1;C090.000)
															
Text = LEFT$(positions, 6 )																	
IF 	Text=s[106] THEN														'Camera responds1	
	PRINTDBG "1",positions
	I[Calibcode_R_125] = 6
Endif

semicolonPos2 = StrPos(positions2, ";")

	I[Calangel_R_122] = 0
    Text = LEFT$(positions2, 6 )
 	IF 	Text=s[100] THEN															'Calib 0
		PRINTDBG "Use Calib 0",positions2
	    I[Calposition_R_121] = 0    'Val(RIGHT$(positions, 1 ))
	    positions2 = Right$(positions2, Len(positions2) - semicolonPos2)			'Remove the found token from the string	
	    I[Calangel_R_122] = Val(MID$(positions2, 2, 3 ))
 	ELSEIF 	Text=s[101] THEN														'Calib 1	
		PRINTDBG "Use Calib 1",positions2
	    I[Calposition_R_121] = 1    'Val(RIGHT$(positions, 1 ))
	    positions2 = Right$(positions2, Len(positions2) - semicolonPos2)			'Remove the found token from the string	
	    I[Calangel_R_122] = Val(MID$(positions2, 2, 3 ))
	ELSEIF 	Text=s[102] THEN														'Calib 2
		PRINTDBG "Use Calib 2",positions2
	    I[Calposition_R_121] = 2    'Val(RIGHT$(positions, 1 ))
	    positions2 = Right$(positions2, Len(positions2) - semicolonPos2)			'Remove the found token from the string	
	    I[Calangel_R_122] = Val(MID$(positions2, 2, 3 ))
	ELSEIF 	Text=s[103] THEN														'Calib 3
		PRINTDBG "UseCalib 3",positions2
	    I[Calposition_R_121] = 3    'Val(RIGHT$(positions, 1 ))
	    positions2 = Right$(positions2, Len(positions2) - semicolonPos2)			'Remove the found token from the string	
	    I[Calangel_R_122] = Val(MID$(positions2, 2, 3 ))
	ELSEIF 	Text=s[104] THEN														'CalibZur
		PRINTDBG "CalibZur",positions2
	    I[Calposition_R_121] = 4
	ELSEIF 	Text=s[105] THEN														'NoPart	
		PRINTDBG "NoPart",positions2
	    I[Calposition_R_121] = 5	
	ENDIF

I[Code.ready_R_123]=1

END
