'!TITLE "Homing"
#INCLUDE "dio_tab.h"
#INCLUDE "VAR_TAB.h"

PROGRAM Homing
takearm
changetool 1
changework 0

PRINTDBG "STARTING PROGRAM.. Homing"
  
RESET IO[StartOK]
RESET IO[Error]
RESET IO[InPos]
RESET IO[OutPos]
RESET IO[Set_tool_R_809]
RESET IO[Set_Vacuum_R_810]
RESET IO[Set_Tool_L_811]
RESET IO[Set_Vacuum_L_812]
V[1]=(0,0,0)

I[loc.server.on_R_110]=0
I[Pick.sig_R_111]=0
I[Part.available_R_112]=0
I[Part.picking_R_113]=0
I[Pos.ready_R_114]=0

I[loc.server.on_L_210]=0
I[Pick.sig_L_211]=0
I[Part.available_L_212]=0
I[Part.picking_L_213]=0
I[Pos.ready_L_214]=0

I[SPEED_HI]=100
I[SPEED_MED]=50
I[SPEED_LO]=40

I[ERROR_CODE]=0
DEFIO ERRCODE = WORD,832
OUT ERRCODE=I[ERROR_CODE] 

P[1]=CURPOS

IF (posX(p[1])>600) AND (posy(p[1])<500) AND (posy(p[1])>-300) AND (posz(p[1])<460) then
	PRINTDBG "Position 0"
	letZ p[1]=posZ(p[8])
	MOVE L ,@0 P[1], S=10
	MOVE P ,@0 P[8], S=10
	MOVE P ,@0 P[6], S=10

ELSEIF posy(p[1])=>-200 then 								'At Home 
	PRINTDBG "Position 1"
	letZ p[1]=posZ(p[6])
	MOVE L ,@0 P[1], S=10
	MOVE P ,@0 P[6], S=10

ELSEIF posy(p[1])<200 then 									'At Outlet conveyor 
	PRINTDBG "Position 2"
	letZ p[1]=posZ(p[7])
	MOVE L ,@0 P[1], S=10
	MOVE L ,@0 P[7], S=10
	MOVE P ,@0 P[6], S=10

ENDIF

I[LastLocation]=0

PRINTDBG "Homing done"

SET IO[InPos]
SET IO[OutPos]
I[Pick.sig_R_111]=0
I[Pick.sig_L_211]=0

END

