'!TITLE "Main_program"
#INCLUDE "dio_tab.h"
#INCLUDE "VAR_TAB.h"

PROGRAM PRO1
PRINTDBG "PROGRAM STARTING..."
TAKEARM												' CONTROLLEREN TAKES CONTROL OF THE ROBOT-ARM	
KILL Ethernetcom_R
KILL Ethernetcom_L
KILL location_server_r
KILL location_server_l
KILL start_up_feeder_r
KILL start_up_feeder_l

RUN Ethernetcom_R
RUN Ethernetcom_L																
CALL Homing											' CALL HOMING RUTINE

RUN Start_up_Feeder_R
RUN Start_up_Feeder_L

RUN BUS_UPDATE										' START THE BUS_UPDATE PROGRAM	

PRINTDBG "PROGRAM STARTET AND RUNNING"
	DEFINT ErrCode

	*MAIN_LOOP:

	ErrCode=0

	DO
	LOOP UNTIL IO[Start_flag]=ON

	RESET IO[ERROR]								'CLEAR OUTPUT WHEN START OF NEW COMMAND
	RESET IO[InPos]
	RESET IO[OutPos]
 
	CALL sequence_check							'CHECK FOR COMMAND ERROR 

	IF I[ERROR_CODE]<>0 THEN
		ErrCode=I[ERROR_CODE]
		CALL ERROR_HANDLER
	ELSE
		SET IO[StartOK]							'HANDSHAKE TO THE PLC COMMAND RECEIVE 
	ENDIF

	
	DO
	LOOP UNTIL IO[Start_flag]=OFF
	RESET IO[StartOK]							'HANDSHAKE TO THE PLC COMMAND RECEIVE  

	IF ErrCode<>0 THEN GOTO *MAIN_LOOP

	CALL sequence_call

	IF I[ERROR_CODE]<>0 THEN
		CALL ERROR_HANDLER
	ENDIF

	SET IO[InPos]

	I[lastLocation]=I[location]			
	
	GOTO *MAIN_LOOP
END












