'!TITLE "Pick up part at feeder R"
#INCLUDE "dio_tab.h"
#INCLUDE "VAR_TAB.h"

PROGRAM Start_up_Feeder_L

Wait I[Ethernet_ok_L_215]=1

'Step 0.1            Switch camera offline
Run get_reply_L
delay 500
PRINT #9,"SO0"
PRINTDBG "SO0"
Wait I[Code.ready_L_223]=1
Wait I[Calibcode_L_225]=6
I[Code.ready_L_223]=0
I[Calibcode_L_225]=0

'Step 0.2            Load job
Run get_reply_L
delay 500
If IO[Gasket_38_555]=0 THEN
  PRINT #9,S[230]         
  PRINTDBG S[230]
ELSE
  PRINT #9,S[231]         
  PRINTDBG S[231]
ENDIF
Wait I[Code.ready_L_223]=1
Wait I[Calibcode_L_225]=6
I[Code.ready_L_223]=0
I[Calibcode_L_225]=0

'Step 0.3            Stop feeder
Run get_reply_L
delay 500
PRINT #9,"SIT0121"         
PRINTDBG "SIT0121"
Wait I[Code.ready_L_223]=1
Wait I[Calibcode_L_225]=6
I[Code.ready_L_223]=0
I[Calibcode_L_225]=0

'Step 0.4
I[Pick.sig_L_211]=0

'Step 0.5            Switch camera online
Run get_reply_L
delay 500
PRINT #9,"SO1"
PRINTDBG "SO1"
Wait I[Code.ready_L_223]=1
Wait I[Calibcode_L_225]=6
I[Code.ready_L_223]=0
I[Calibcode_L_225]=0

Delay 10000

'Step 0.6            Start feeder
Run get_reply_L
delay 500
PRINT #9,"SIT0120"         
PRINTDBG "SIT0120"
Wait I[Code.ready_L_223]=1
Wait I[Calibcode_L_225]=6
I[Code.ready_L_223]=0
I[Calibcode_L_225]=0

'Step 1
RUN Location_server_L
Wait IO[Area10]=1
Wait I[Part.available_L_212]=0

'Step 2
I[loc.server.on_L_210]=1
I[Pick.sig_L_211]=0
I[Part.available_L_212]=0
I[Part.picking_L_213]=0

*Step3:

'Step 3
IF I[Part.available_L_212]=1 THEN                      'If "0" wait to part is ready
  PRINTDBG "Part ready to pickup"
ELSE
  GOTO *Step3
ENDIF

'Step 4
I[Pick.sig_L_211]=1
I[Part.available_L_212]=0
I[Part.picking_L_213]=1

'Step 5
LETX P[26]= POSX (V[21])
LETY P[26]= POSY (V[21])
LETZ P[26]= I[201]
LETRZ P[26]= POSZ (V[21])

'Step 6
Wait I[Part.picking_L_213]=0

*Step7:
'Step 7
IF IO[Area10]=1 THEN
  I[Pick.sig_L_211]=0
  I[Part.picking_L_213]=0
ELSE
  GOTO *Step7
ENDIF

'Step 8

GOTO *Step3  

END
