'!TITLE "Ethernet com to Camera feeder L in Auto-mode"
#INCLUDE "dio_tab.h"
#INCLUDE "VAR_TAB.h"

PROGRAM Auto_Ethernet_Com_L

Do

DEFSTR positions = ""
DEFSTR Text = ""
DEFINT semicolonPos = 0
DEFINT STATUSID

s[200]="Pick"


*CONNECT:

' Reading from port #9

com_state #9,comstates9%
IF comstates9% = -1 THEN
	com_encom #9
    FLUSH #9
ELSE
    FLUSH #9
ENDIF

LINEINPUT # 9 ,  positions  , WTIME= 3000 ,RVAL=STATUSID

IF STATUSID=0 THEN											'If 0 timeout
	PRINTDBG "Timeout svar"
	GOTO *CONNECT
ELSE
	PRINTDBG "Position",positions
ENDIF
S[210]=positions
Wait I[Pos.ready_L_214]=0

V[20]=(0,0,0)

' The String format is <Text>;<X1>;<Y1>;<T1>;
 																		
Text = LEFT$(positions, 4 )
semicolonPos = StrPos(positions, ";") 

IF 	Text=s[200] THEN			
    positions = Right$(positions, Len(positions) - semicolonPos)			' Remove the found token from the string
   	semicolonPos = StrPos(positions, ";")    																	 
    letz V[20] = Val(right$(positions, semicolonPos - 1))						' Write the X value of the position to a vector    																	
    positions = Left$(positions, Len(positions) - semicolonPos)			' Remove the found token from the string
    semicolonPos = StrPos(positions, ";")									
    lety V[20] = Val(right$(positions, semicolonPos - 1))						' Write the Y value of the position to a vector 		
    positions = Left$(positions, Len(positions) - semicolonPos)			' Remove the found token from the string
    semicolonPos = StrPos(positions, ";")									
    letx V[20] = Val(right$(positions, semicolonPos - 1))						' Write the angle value of the position to a vector 
	I[Pos.ready_L_214]=1
ELSEIF 	Text<>S[200] THEN	
	PRINTDBG "Code",positions
ENDIF																

LOOP UNTIL IO[SYSTEM_SERVO_ON]=OFF

END
