'!TITLE "Ethernet com to Camera feeder R in Auto-mode"
#INCLUDE "dio_tab.h"
#INCLUDE "VAR_TAB.h"

PROGRAM Auto_Ethernet_Com_R

Do

DEFSTR positions = ""
DEFSTR Text = ""
DEFINT semicolonPos = 0
DEFINT STATUSID

s[100]="Pick"


*CONNECT:

' Reading from port #8

com_state #8,comstates8%
IF comstates8% = -1 THEN
	com_encom #8
    FLUSH #8
ELSE
    FLUSH #8
ENDIF

LINEINPUT # 8 ,  positions  , WTIME= 3000 ,RVAL=STATUSID

IF STATUSID=0 THEN											'If 0 timeout
	PRINTDBG "Timeout svar"
	GOTO *CONNECT
ELSE
	PRINTDBG "Position",positions
ENDIF
S[110]=positions
Wait I[Pos.ready_R_114]=0

V[10]=(0,0,0)

' The String format is <Text>;<X1>;<Y1>;<T1>;
 																		
Text = LEFT$(positions, 4 )
semicolonPos = StrPos(positions, ";") 

IF 	Text=s[100] THEN			
    positions = Right$(positions, Len(positions) - semicolonPos)			' Remove the found token from the string
   	semicolonPos = StrPos(positions, ";")    																	 
    letz V[10] = Val(right$(positions, semicolonPos - 1))						' Write the X value of the position to a vector    																	
    positions = Left$(positions, Len(positions) - semicolonPos)			' Remove the found token from the string
    semicolonPos = StrPos(positions, ";")									
    lety V[10] = Val(right$(positions, semicolonPos - 1))						' Write the Y value of the position to a vector 		
    positions = Left$(positions, Len(positions) - semicolonPos)			' Remove the found token from the string
    semicolonPos = StrPos(positions, ";")									
    letx V[10] = Val(right$(positions, semicolonPos - 1))						' Write the angle value of the position to a vector 
	I[Pos.ready_R_114]=1
ELSEIF 	Text<>S[100] THEN	
	PRINTDBG "Code",positions
ENDIF																

LOOP UNTIL IO[SYSTEM_SERVO_ON]=OFF

END
