'!TITLE "Start up feeder R"
#INCLUDE "dio_tab.h"
#INCLUDE "VAR_TAB.h"

PROGRAM Start_up_Feeder_R

Wait I[Ethernet_ok_R_115]=1

'Step 0.1            Switch camera offline
Run get_reply_R
delay 500
PRINT #8,"SO0"
PRINTDBG "SO0"
Wait I[Code.ready_R_123]=1
Wait I[Calibcode_R_125]=6
I[Code.ready_R_123]=0
I[Calibcode_R_125]=0

'Step 0.2            Load job
Run get_reply_R
delay 500
If IO[Gasket_38_555]=0 THEN
  PRINT #8,S[130]         
  PRINTDBG S[130]
ELSE
  PRINT #8,S[131]         
  PRINTDBG S[131]
ENDIF        
Wait I[Code.ready_R_123]=1
Wait I[Calibcode_R_125]=6
I[Code.ready_R_123]=0
I[Calibcode_R_125]=0

'Step 0.3            Stop feeder
Run get_reply_R
delay 500
PRINT #8,"SIT0121"         
PRINTDBG "SIT0121"
Wait I[Code.ready_R_123]=1
Wait I[Calibcode_R_125]=6
I[Code.ready_R_123]=0
I[Calibcode_R_125]=0

'Step 0.4
I[Pick.sig_R_111]=0

'Step 0.5            Switch camera online
Run get_reply_R
delay 500
PRINT #8,"SO1"
PRINTDBG "SO1"
Wait I[Code.ready_R_123]=1
Wait I[Calibcode_R_125]=6
I[Code.ready_R_123]=0
I[Calibcode_R_125]=0

Delay 10000

'Step 0.6            Start feeder
Run get_reply_R
delay 500
PRINT #8,"SIT0120"         
PRINTDBG "SIT0120"
Wait I[Code.ready_R_123]=1
Wait I[Calibcode_R_125]=6
I[Code.ready_R_123]=0
I[Calibcode_R_125]=0

'Step 1
RUN Location_server_R
Wait IO[Area11]=1
Wait I[Part.available_R_112]=0

'Step 2
I[loc.server.on_R_110]=1
I[Pick.sig_R_111]=0
I[Part.available_R_112]=0
I[Part.picking_R_113]=0

*Step3:

'Step 3
IF I[Part.available_R_112]=1 THEN                      'If "0" wait to part is ready
  PRINTDBG "Part ready to pickup R"
ELSE
  GOTO *Step3
ENDIF

'Step 4
I[Pick.sig_R_111]=1
I[Part.available_R_112]=0
I[Part.picking_R_113]=1

'Step 5
LETX P[16]= POSX (V[11])
LETY P[16]= POSY (V[11])
LETZ P[16]= I[101]
LETRZ P[16]= POSZ (V[11])

'Step 6
Wait I[Part.picking_R_113]=0

*Step7:
'Step 7
IF IO[Area11]=1 THEN
  I[Pick.sig_R_111]=0
  I[Part.picking_R_113]=0
ELSE
  GOTO *Step7
ENDIF

'Step 8

GOTO *Step3  

END
